Package org.flowable.bpmn.model

# Class Pool

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Pool

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Pool extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `executable`
  `protected String`
  `name`
  `protected String`
  `processRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Pool`
  `clone()`
  `String`
  `getName()`
  `String`
  `getProcessRef()`
  `boolean`
  `isExecutable()`
  `void`
  `setExecutable(boolean executable)`
  `void`
  `setName(String name)`
  `void`
  `setProcessRef(String processRef)`
  `void`
  `setValues(Pool otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### processRef

    protected String processRef

  - ### executable

    protected boolean executable

- ## Constructor Details

  - ### Pool

    public Pool()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getProcessRef

    public String getProcessRef()

  - ### setProcessRef

    public void setProcessRef(String processRef)

  - ### isExecutable

    public boolean isExecutable()

  - ### setExecutable

    public void setExecutable(boolean executable)

  - ### clone

    public Pool clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Pool otherElement)